Jump to content


Photo

How to install and USE .net Compact Framework 3.5 WITHOUT upgrading your ROM.

* * * * * 11 votes

  • Please log in to reply
147 replies to this topic

#21
hohingday

hohingday

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:XDA Ignito

Hoping someone can help me..... When I attempt to install NETCFv35.wm.armv4i.cab it is throwing up the following error message:

"Installation was unsucessful. The program or setting cannot be installed because it is not digitally signed with a trusted certificate"

Is there anything I can do to get around this? (Sorry if this sounds like a totally dumb-ass question!!)

NB I am currently on a XDA Ignito


I am getting the same issue, any ideas?
Thanks,
Ed

  • 0

#22
dFrag73

dFrag73

    Newbie

  • Members
  • Pip
  • 1 posts

I am getting the same issue, any ideas?
Thanks,
Ed



Me too! Help please... ;)

  • 0

#23
nolla

nolla

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:htc touch pro

Me too! Help please... ;)


I had same problem and this worked for me.

If you have .Net Framework 3.5 installed (or get it from http://www.microsoft...;displaylang=en), copy NETCFv35.wm.armv4i.cab from C:\Program Files\Microsoft.NET\SDK\CompactFramework\v3.5\WindowsCE (use search if you dont have same folder) to your mobile and that file should work.

  • 0

#24
wisniak

wisniak

    Newbie

  • Members
  • Pip
  • 6 posts
  • Devices:HP IPAQ HW6910
No joy, still receiving the same error report.
I did see several additional cabs in that directory, but I'm hesitant to try them out on my PPC.

  • 0

#25
Brian Young

Brian Young

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:Att Tilt
What a great post!! i just created an app for my AT&T Tilt (windows mobile 6) to check my World of Warcraft server status. I'm a big fan of LINQ and XML. i would have been so angry if i wouldn't have been able to upgrade my .net compact framework to 3.5. Let me know if any one cares to have it. Thanks so much!!!

~B

  • 0

#26
lacibrooke

lacibrooke

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC Touch
Ok... I have an HTC Touch and when i download the 2 cabs you've provided they won't run. The error I'm getting is, "There is no application associated with "index". Run the application first, then open this file from within the application." Index is what they automatically saved as.

-L-

  • 0

#27
playam

playam

    Newbie

  • Members
  • Pip
  • 1 posts
thanks =p

  • 0

#28
del4

del4

    Newbie

  • Members
  • Pip
  • 9 posts
  • Location:Tucson, AZ
  • Devices:Sprint Mogul (aka PPC6800)
This has been a very useful tool, as some older programs I use require the 2.0 CF and give errors when using 3.5.

My question is how to save and restore the device and application policy settings for use following a hard reset? I haven't been able to find any registry keys or settings files that store this information and would like to back it up instead of having to manually configure it following a hard reset.

[Edit]
Always good when you answer your own questions, I suppose. Did a little more digging and found that the info I was looking for was stored in several .config files. The device policy is contained within \Windows\device.config while each application where you have selected a specific version of the CF to use will have an associated .config file stored alongside the application's .exe file.

For example, I use a game called Pocket Sudoku, stored in \Program Files\Pocket Sudoku and this directory contains PocketSudoku.exe.config which specifies that v2.0 of the .NET CF must be used instead of the default v3.5, which I have set in my device policy file \Windows\device.config.

Now, I don't have to manually re-enter this info following a hard reset. :rolleyes: Rather than deleting my original post, thought I'd post the info here in the hopes that someone else will find it useful...

Edited by del4, 11 December 2008 - 11:14 PM.

  • 0

#29
Vampyre777

Vampyre777

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:Htc Touch Pro
Thank you. Your two .cab's worked great on my Sprint CDMA HTC touch pro.

  • 0

#30
lowranger

lowranger

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:Sprint HTC Touch (cdma)
I too want to offer my thanks. The cabs are behaving themselves on my Sprint Touch (cdma).

  • 0

#31
greenma

greenma

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC Diamond, Omnia
Works a dream for my HTC Diamond :) Thanks

  • 0

#32
rainbow30

rainbow30

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC Touch pro (sprint)
Thank you it works great :)

  • 0

#33
Turbinewind

Turbinewind

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC Fuze
Thanks for putting this together. Just got it going - easy as pie.

  • 0

#34
Another Simpson

Another Simpson

    Newbie

  • Members
  • Pip
  • 4 posts
  • Devices:xda graphite

I am getting the same issue, any ideas?
Thanks,
Ed


Me too. I see the OP cant be arsed to offer any help either. bitch

  • 0

#35
NHS

NHS

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC Touch Pro
This is really beautiful. Thanks a lot for making it so easy for us. It worked! :)

  • 0

#36
AFLAC

AFLAC

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:Mogul 6800
Thanks for this great information...you were right it was so easy....specially for someone not as smart as myself!!!

  • 0

#37
Th3Zodiac

Th3Zodiac

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC Diamond
I'm downloading and getting an index file on my HTC Diamond, what am I doing wrong? HELP !!! thanks

SOLVED, DL with skyfire, installed and works great! Thanks

Edited by Th3Zodiac, 10 February 2009 - 12:08 AM.

  • 0

#38
fantoukh

fantoukh

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:Xperia
I'm Home people and it's good to be back, I'm amazed that my account is still a live after two years, Winmo is the best, Thanks Paul for the cap files you have been great help.

Regards,

  • 0

Dragon Heart

[size="5"]
[size="4"]

#39
lvspark

lvspark

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:htc tp
Worked great on VZW HTC TP with vzw standard ROM

Thanks!

Edited by lvspark, 24 February 2009 - 09:35 PM.

  • 0

#40
Mr_Man

Mr_Man

    Regular

  • Members
  • PipPip
  • 149 posts
  • Location:Salisbury, Wiltshire
  • Interests:Mobile technology
  • Devices:MDA Vario III

When I tried installing the .NET Compact Framework 3.5 (after installing .NET Compact Framework 2.0) i got the following error:

"Installation error. Stop all applications and processes, maximize available storage space, and run installation again. Support info: 2"

Now I am unable to install .NET Compact Framework 2.0 back into my JASJAM. I get the above error. Any ideas on how I can fix this.


I installed .NET CF 3.5 on my Raphael with no problems but uninstalled it (incorrectly) believing it to be the cause of a problem with another application. On re-installation I repeatedly got the above error but found this solution on another forum: -

http://forum.xda-dev...d...0454&page=2

I followed cctay's instructions in Post 13 which solved the problem and enabled me to install.

Hope this helps anyone else having the same problem

  • 0
SPV 1, E200, C600, M2000, SP5m, M600, M3100, MDA Vario III, MDA Vario IV




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users